/billing/overview
GET
/billing/overview
const url = 'https://api.chatfood.app/billing/overview';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.chatfood.app/billing/overview \ --header 'Authorization: Bearer <token>'Authorizations
Seção intitulada “Authorizations”Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”accountId
string format: uuid
Responses
Seção intitulada “Responses”OK
object
customer
object
id
string format: uuid
companyId
string format: uuid
accountId
string format: uuid
planId
string format: uuid
planName
string
ownerName
string
isCompany
boolean
status
string
trialEndsAt
string format: date-time
billingEmail
string
legalName
string
taxId
string
preferredMethod
string
pixDiscountBps
integer format: int32
createdAt
string format: date-time
updatedAt
string format: date-time
plan
object
id
string format: uuid
name
string
currency
string
basis
string
pricingMode
string
unitPrice
number format: double
tiers
Array<object>
object
upTo
integer format: int64
unitPrice
number format: double
flatAmountCents
integer format: int64
minimumCents
integer format: int64
includedUnits
integer format: int64
pixDiscountBps
integer format: int32
dueDays
integer format: int32
estimate
object
customerId
string format: uuid
customerName
string
planId
string format: uuid
planName
string
basis
string
periodStart
string format: date
periodEnd
string format: date
measuredThrough
string format: date
totalQuantity
number format: double
subtotalCents
integer format: int64
discountCents
integer format: int64
adjustmentCents
integer format: int64
totalCents
integer format: int64
pixDiscountBps
integer format: int32
amountPixCents
integer format: int64
trial
boolean
fixedTotal
boolean
lines
Array<object>
object
pageId
string format: uuid
pageName
string
accountId
string format: uuid
accountName
string
quantity
number format: double
billableQuantity
number format: double
baseUnitPrice
number format: double
unitPrice
number format: double
overrideKind
string
overrideScope
string
baseAmountCents
integer format: int64
amountCents
integer format: int64
unmeasured
boolean
recentInvoices
Array<object>
object
id
string format: uuid
number
string
status
string
periodStart
string format: date
periodEnd
string format: date
basis
string
issuedAt
string format: date-time
dueAt
string format: date-time
subtotalCents
integer format: int64
discountCents
integer format: int64
adjustmentCents
integer format: int64
amountCents
integer format: int64
pixDiscountBps
integer format: int32
amountPixCents
integer format: int64
trial
boolean
paidAt
string format: date-time
object
customer
object
id
string format: uuid
companyId
string format: uuid
accountId
string format: uuid
planId
string format: uuid
planName
string
ownerName
string
isCompany
boolean
status
string
trialEndsAt
string format: date-time
billingEmail
string
legalName
string
taxId
string
preferredMethod
string
pixDiscountBps
integer format: int32
createdAt
string format: date-time
updatedAt
string format: date-time
plan
object
id
string format: uuid
name
string
currency
string
basis
string
pricingMode
string
unitPrice
number format: double
tiers
Array<object>
object
upTo
integer format: int64
unitPrice
number format: double
flatAmountCents
integer format: int64
minimumCents
integer format: int64
includedUnits
integer format: int64
pixDiscountBps
integer format: int32
dueDays
integer format: int32
estimate
object
customerId
string format: uuid
customerName
string
planId
string format: uuid
planName
string
basis
string
periodStart
string format: date
periodEnd
string format: date
measuredThrough
string format: date
totalQuantity
number format: double
subtotalCents
integer format: int64
discountCents
integer format: int64
adjustmentCents
integer format: int64
totalCents
integer format: int64
pixDiscountBps
integer format: int32
amountPixCents
integer format: int64
trial
boolean
fixedTotal
boolean
lines
Array<object>
object
pageId
string format: uuid
pageName
string
accountId
string format: uuid
accountName
string
quantity
number format: double
billableQuantity
number format: double
baseUnitPrice
number format: double
unitPrice
number format: double
overrideKind
string
overrideScope
string
baseAmountCents
integer format: int64
amountCents
integer format: int64
unmeasured
boolean
recentInvoices
Array<object>
object
id
string format: uuid
number
string
status
string
periodStart
string format: date
periodEnd
string format: date
basis
string
issuedAt
string format: date-time
dueAt
string format: date-time
subtotalCents
integer format: int64
discountCents
integer format: int64
adjustmentCents
integer format: int64
amountCents
integer format: int64
pixDiscountBps
integer format: int32
amountPixCents
integer format: int64
trial
boolean
paidAt
string format: date-time
Example
{ "customer": { "status": "Trial", "preferredMethod": "Ask" }, "plan": { "basis": "ActiveLeadsEndOfPeriod", "pricingMode": "PerUnit" }, "estimate": { "basis": "ActiveLeadsEndOfPeriod", "lines": [ { "overrideKind": "PercentDiscount", "overrideScope": "Company" } ] }, "recentInvoices": [ { "status": "Open", "basis": "ActiveLeadsEndOfPeriod" } ]}object
customer
object
id
string format: uuid
companyId
string format: uuid
accountId
string format: uuid
planId
string format: uuid
planName
string
ownerName
string
isCompany
boolean
status
string
trialEndsAt
string format: date-time
billingEmail
string
legalName
string
taxId
string
preferredMethod
string
pixDiscountBps
integer format: int32
createdAt
string format: date-time
updatedAt
string format: date-time
plan
object
id
string format: uuid
name
string
currency
string
basis
string
pricingMode
string
unitPrice
number format: double
tiers
Array<object>
object
upTo
integer format: int64
unitPrice
number format: double
flatAmountCents
integer format: int64
minimumCents
integer format: int64
includedUnits
integer format: int64
pixDiscountBps
integer format: int32
dueDays
integer format: int32
estimate
object
customerId
string format: uuid
customerName
string
planId
string format: uuid
planName
string
basis
string
periodStart
string format: date
periodEnd
string format: date
measuredThrough
string format: date
totalQuantity
number format: double
subtotalCents
integer format: int64
discountCents
integer format: int64
adjustmentCents
integer format: int64
totalCents
integer format: int64
pixDiscountBps
integer format: int32
amountPixCents
integer format: int64
trial
boolean
fixedTotal
boolean
lines
Array<object>
object
pageId
string format: uuid
pageName
string
accountId
string format: uuid
accountName
string
quantity
number format: double
billableQuantity
number format: double
baseUnitPrice
number format: double
unitPrice
number format: double
overrideKind
string
overrideScope
string
baseAmountCents
integer format: int64
amountCents
integer format: int64
unmeasured
boolean
recentInvoices
Array<object>
object
id
string format: uuid
number
string
status
string
periodStart
string format: date
periodEnd
string format: date
basis
string
issuedAt
string format: date-time
dueAt
string format: date-time
subtotalCents
integer format: int64
discountCents
integer format: int64
adjustmentCents
integer format: int64
amountCents
integer format: int64
pixDiscountBps
integer format: int32
amountPixCents
integer format: int64
trial
boolean
paidAt
string format: date-time
Example
{ "customer": { "status": "Trial", "preferredMethod": "Ask" }, "plan": { "basis": "ActiveLeadsEndOfPeriod", "pricingMode": "PerUnit" }, "estimate": { "basis": "ActiveLeadsEndOfPeriod", "lines": [ { "overrideKind": "PercentDiscount", "overrideScope": "Company" } ] }, "recentInvoices": [ { "status": "Open", "basis": "ActiveLeadsEndOfPeriod" } ]}